/* TAB -> SPC変換 */

#include "defines.h"

int chtab(str1,str2,tabs)
const unchar *str1;
unchar str2[];
int tabs; /* 1TAB -> SPACE数 */
{
unint c,i=0,j=0;
	while ((c=*str1++)!=0) {
		if (check_kanji1(c)) { /* ２バイト文字 */
			str2[i++]=c;
			j++;
			str2[i++]=*str1++;
			if (!is24(c)) j++;
			continue;
		}
		if (c==TAB) { /* タブ */
			do {
				str2[i++]=SPC;
				j++;
			} while (j%tabs);
			continue;
		}
		/* その他の１バイト文字 */
		str2[i++]=c;
		j++;
	}
	str2[i]=0;
	return(i);
}
